init python:

    ## reference - http://www.renpy.org/doc/html/rooms.html

    # Step 1. Create the gallery object.
    g = Gallery()

    # Step 2. Add buttons and images to the gallery.

    # This button has a condition associated with it, allowing code
    # to choose which images unlock.
    g.button("gallery")
    
    g.button("nkun")
    g.condition("persistent.unlock_1")
    g.image("ed noticekun")

    g.button("nchan")
    g.condition("persistent.unlock_2")
    g.image("ed noticechan")
    
    g.button("nsan")
    g.condition("persistent.unlock_3")
    g.image("ed noticesan")

    g.button("ikun")
    g.condition("persistent.unlock_4")
    g.image("ed ignorekun")
    
    g.button("ichan")
    g.condition("persistent.unlock_5")
    g.image("ed ignorechan")

    g.button("isan")
    g.condition("persistent.unlock_6")
    g.image("ed ignoresan")
    
    g.button("gkun")
    g.condition("persistent.unlock_7")
    g.image("ed goodkun")

    g.button("gchan")
    g.condition("persistent.unlock_8")
    g.image("ed goodchan")
    
    g.button("gsan")
    g.condition("persistent.unlock_9")
    g.image("ed goodsan")

    g.button("sensei")
    g.condition("persistent.unlock_0")
    g.image("ed sensei")

    # The transition used when switching images.
    g.transition = dissolve

# Step 3. The gallery screen we use.
screen gallery:

    # Ensure this replaces the main menu.
    tag menu

    # The background.
    add "bg clouds"

    # A grid of buttons.
    grid 4 3:

        # xfill True
        # yfill True
        area (122, 94, 780, 580)

        # Call make_button to show a particular button.
        add g.make_button("gallery", "images/buttons/gallery.png", xalign=0.5, yalign=0.5)
        add g.make_button("nkun", "images/buttons/nkun.png", locked="images/buttons/locked.png", xalign=0.5, yalign=0.5)
        add g.make_button("nchan", "images/buttons/nchan.png", locked="images/buttons/locked.png", xalign=0.5, yalign=0.5)
        add g.make_button("nsan", "images/buttons/nsan.png", locked="images/buttons/locked.png", xalign=0.5, yalign=0.5)
        
        add g.make_button("ikun", "images/buttons/ikun.png", locked="images/buttons/locked.png", xalign=0.5, yalign=0.5)
        add g.make_button("ichan", "images/buttons/ichan.png", locked="images/buttons/locked.png", xalign=0.5, yalign=0.5)
        add g.make_button("isan", "images/buttons/isan.png", locked="images/buttons/locked.png", xalign=0.5, yalign=0.5)
        add g.make_button("gkun", "images/buttons/gkun.png", locked="images/buttons/locked.png", xalign=0.5, yalign=0.5)
        
        add g.make_button("gchan", "images/buttons/gchan.png", locked="images/buttons/locked.png", xalign=0.5, yalign=0.5)
        add g.make_button("gsan", "images/buttons/gsan.png", locked="images/buttons/locked.png", xalign=0.5, yalign=0.5)
        add g.make_button("sensei", "images/buttons/sensei.png", locked="images/buttons/locked.png", xalign=0.5, yalign=0.5)

        # The screen is responsible for returning to the main menu. It could also
        # navigate to other gallery screens.
        textbutton "Return" action Return() xalign 0.5 yalign 0.5