label help_pages:

scene bg equiphelp
show sensei neutral
play music "audio/help.mp3" loop
p "Welcome to the {i}Senpai Simulator{/i} help pages!"
 
menu:
 p "What would you like to know?"
 
 "\"What is the goal of this game?\"":
  show sensei happy
  p "{i}Senpai Simulator{/i} is about living out the dream of all senpais: ignoring your underclassmen!"
  show sensei neutral
  p "For kouhais, the eternal question is whether or not Senpai, that is to say {i}you{/i}, will notice them."
  p "Notice, ignore, or something in between: the choice is up to you. There are multiple ways to play. Can you reach all of the endings?"
 
  jump help_pages2
 
 "\"What are the controls?\"":
  p "{i}Senpai Simulator{/i} can be played entirely with a mouse, but in case you're interested, there are some hotkeys you can use as well."
  p "Some useful controls include \"enter\" to advance through the story, right click or \"esc\" to access saves and preferences, and \"alt + F4\" (or \"command + Q\" on a Mac) to quit the game."
  p "To see the full list of keyboard commands, click on the \"Help\" button located in the \"Prefs\" menu and on the title screen. This will open an HTML document with all the info you need."
  p "Also, please note that some commands may not be applicable to this specific game."
 
  jump help_pages2
 
 "\"How do I save?\"":
  p "To save, click on the \"Save\" button at the bottom of the screen, or press right click or \"esc\"."
  show sensei satisfied
  p "Saving can be done at any time, even when you're at a decision point!"
  p "There are lots of save slots, so saving frequently is highly recommended."
  show sensei neutral
  p "There is also a Quick Save (\"Q. Save\") button for instant saving! Note that Quick Save slots are separate from regular saves."
  p "Oh, and you can also load any type of save file whenever you like with the \"Load\" option in the \"Prefs\" menu. The \"Q. Load\" option automatically loads your most recent Quick Save file."
 
  jump help_pages2
 
 "\"Are there any special features?\"":
  p "The most useful special feature is the ability to rewind text. Just click on the \"Back\" button, located at the bottom of the screen."
  p "To skip over text that you've read before, click on \"Skip\"."
  p "You can also tweak various settings under Preferences, or \"Prefs\"."
  p "Finally, there is an image gallery that contains all of the endings you have unlocked so far. This can be accessed from the lower right menus on the title, Save, Load, or Preferences screens."
 
  jump help_pages2
 
 "\"Do you have any tips?\"":
  p "Keep your kouhais intrigued! Don't notice them too quickly, but don't let them lose interest in you, either!"
  show sensei satisfied
  p "Also, have fun!"
  show sensei neutral
  p "...that's about everything, really."
 
  jump help_pages2
  
 "\"I don't need any help.\"":
  p "Well, then. Since you seem to know everything now..."
  
  if points.i == 1:
   hide sensei neutral
   $ points.h += 1
   play music "audio/school.mp3" loop
   jump schoolmenu
  elif points.i == 0:
   hide sensei neutral
   jump intro08_done
   
label help_pages2:
   
menu:
 p "Is there anything else?"
 
 "\"What is the goal of this game?\"":
  show sensei happy
  p "{i}Senpai Simulator{/i} is about living out the dream of all senpais: ignoring your underclassmen!"
  show sensei neutral
  p "For kouhais, the eternal question is whether or not Senpai, that is to say {i}you{/i}, will notice them."
  p "Notice, ignore, or something in between: the choice is up to you. There are multiple ways to play. Can you reach all of the endings?"
 
  jump help_pages2
 
 "\"What are the controls?\"":
  p "{i}Senpai Simulator{/i} can be played entirely with a mouse, but in case you're interested, there are some hotkeys you can use as well."
  p "Some useful controls include \"enter\" to advance through the story, right click or \"esc\" to access saves and preferences, and \"alt + F4\" (or \"command + Q\" on a Mac) to quit the game."
  p "To see the full list of keyboard commands, click on the \"Help\" button located in the \"Prefs\" menu and on the title screen. This will open an HTML document with all the info you need."
  p "Also, please note that some commands may not be applicable to this specific game."
 
  jump help_pages2
 
 "\"How do I save?\"":
  p "To save, click on the \"Save\" button at the bottom of the screen, or press right click or \"esc\"."
  show sensei satisfied
  p "Saving can be done at any time, even when you're at a decision point!"
  p "There are lots of save slots, so saving frequently is highly recommended."
  show sensei neutral
  p "There is also a Quick Save (\"Q. Save\") button for instant saving! Note that Quick Save slots are separate from regular saves."
  p "Oh, and you can also load any type of save file whenever you like with the \"Load\" option in the \"Prefs\" menu. The \"Q. Load\" option automatically loads your most recent Quick Save file."
 
  jump help_pages2
 
 "\"Are there any special features?\"":
  p "The most useful special feature is the ability to rewind text. Just click on the \"Back\" button, located at the bottom of the screen."
  p "To skip over text that you've read before, click on \"Skip\"."
  p "You can also tweak various settings under Preferences, or \"Prefs\"."
  p "Finally, there is an image gallery that contains all of the endings you have unlocked so far. This can be accessed from the lower right menus on the title, Save, Load, or Preferences screens."
 
  jump help_pages2
 
 "\"Do you have any tips?\"":
  p "Keep your kouhais intrigued! Don't notice them too quickly, but don't let them lose interest in you, either!"
  show sensei satisfied
  p "Also, have fun!"
  show sensei neutral
  p "...that's about everything, really."
 
  jump help_pages2
  
 "\"I don't need any help.\"":
  p "Well, then. Since you seem to know everything now..."
  
  if points.i == 1:
   hide sensei neutral
   $ points.h += 1
   play music "audio/school.mp3" loop
   jump schoolmenu
  elif points.i == 0:
   hide sensei neutral
   jump intro08_done